LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking > Linux - Wireless Networking
User Name
Password
Linux - Wireless Networking This forum is for the discussion of wireless networking in Linux.

Notices

Reply
 
Search this Thread
Old 02-01-2004, 08:22 PM   #1
mrsolo
Member
 
Registered: Jun 2002
Location: Where ever the Navy sends me
Distribution: Gentoo
Posts: 320

Rep: Reputation: 30
2.6.1 Kernel and Wireless Extensions


I was just able to install the newest 2.6.1 kernel and everything seems to be fine for now. There is one thing though. I use gkrellm and one of the plugins is gkrellmwireless-2.0.3. Before, when I was using kernel 2.4.21, the bit rate was able to be show, now in the new kernel, it won't do it. To investigate this, i entered iwconfig and there is a warning at the top of the console from iwconfig:

Warning: Driver for device eth0 has been compiled with version 16
of Wireless Extension, while this program is using version 15.
Some things may be broken...

Now, what is going on exactly? Is it telling me that my new wireless driver that was compiled with the new kernel (orinoco_cs) is newer than the iwconfig program? To me that couldn't be possible because I reinstalled the newest wireless tools, wireless-tools26. I would like to know what is going on and I would like to get the gkrellm plugin to display the current bit rate of the wireless connection. There is one other thing, has anyone been able to get the other gkrellm wireless to work, gkrellm-wifi?
 
Old 02-01-2004, 08:41 PM   #2
jtshaw
Senior Member
 
Registered: Nov 2000
Location: Seattle, WA USA
Distribution: Ubuntu @ Home, RHEL @ Work
Posts: 3,892
Blog Entries: 1

Rep: Reputation: 65
Recompile your wireless tools.
 
Old 02-01-2004, 08:47 PM   #3
mrsolo
Member
 
Registered: Jun 2002
Location: Where ever the Navy sends me
Distribution: Gentoo
Posts: 320

Original Poster
Rep: Reputation: 30
OK, here are some warnings that the make process gives me when I recompile the wireless tools 26:

iwlib.c:40:2: warning: #warning "Wireless Extension earlier than v16 detected,"
iwlib.c:41:2: warning: #warning "Not all tools features will be compiled in !"
iwlib.c:42:2: warning: #warning "No worry, I'll try to make the best of it ;-)"

How do I correct this? I mean, don't the wireless extensions come with the kernel? If not, what do I do to upgrade the wireless exrtensions?
 
Old 02-02-2004, 01:41 PM   #4
david_ross
Moderator
 
Registered: Mar 2003
Location: Scotland
Distribution: Slackware, RedHat, Debian
Posts: 12,047

Rep: Reputation: 64
Moved to Wireless
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
enabling wireless extensions? arunsri Slackware 1 03-19-2005 05:42 AM
wireless extensions scotoma Linux - Newbie 1 01-04-2005 02:54 PM
wireless extensions scotoma Linux - Wireless Networking 0 01-04-2005 06:52 AM
No Wireless Extensions chrise Linux - Wireless Networking 2 08-08-2004 11:34 AM
wireless extensions legolas_t Linux - Wireless Networking 3 06-22-2004 02:38 AM


All times are GMT -5. The time now is 11:55 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration